Loading...
Searching...
No Matches
etl::bresenham_line< T, TWork >::const_iterator Class Reference

Const Iterator. More...

`#include <bresenham_line.h>`

## Public Member Functions

| const_iterator ()
| Default constructor.
| const_iterator (const const_iterator &other)
| Copy constructor.
const_iterator & | operator= (const const_iterator &rhs)
| Assignment operator.
const_iterator & | operator++ ()
| Pre-increment operator.
value_type | operator* () const
| De-reference operator.

## Friends

class | bresenham_line
bool | operator== (const const_iterator &lhs, const const_iterator &rhs)
| Equality operator.
bool | operator!= (const const_iterator &lhs, const const_iterator &rhs)
| Inequality operator.

## Additional Inherited Members

Public Types inherited from etl::iterator< ETL_OR_STD::forward_iterator_tag, const value_type >
typedef const value_type | value_type
typedef ptrdiff_t | difference_type
typedef const value_type * | pointer
typedef const value_type & | reference
typedef ETL_OR_STD::forward_iterator_tag | iterator_category

## Detailed Description

template<typename T, typename TWork = int16_t>
class etl::bresenham_line< T, TWork >::const_iterator

Const Iterator.

The documentation for this class was generated from the following file:

- include/etl/bresenham_line.h